Bug 59796 - rpm2html configure cannot handle alternate rpmdb location
Summary: rpm2html configure cannot handle alternate rpmdb location
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm2html (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-13 14:00 UTC by Jeff Johnson
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-17 15:58:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Johnson 2002-02-13 14:00:45 UTC
> Hello.
> I'm trying to fix alternate rpm location in rpm2html configure script, and
> Daniel just told me you were better suited to answer my questions :-)
>
> I made --with-rpm options checks happening earlier than rpm libs checking,
> and added $RPM_LIBS variable to AC_CHECK_LIB as 5th argument, stated as
> OTHER_LIBS in autoconf info page.
>
> AC_CHECK_LIB(rpmio, Fopen,
>   [LIBS="-lrpmio $LIBS";
>         AC_DEFINE_UNQUOTED(USE_RPMIO, 1)
>         AC_SUBST(USE_RPMIO)
>   ], , $RPM_LIBS)
> This one is OK
>
> AC_CHECK_LIB(rpmdb, rpmdbOpen, [LIBS="-lrpm -lrpmdb $LIBS"],
>   AC_CHECK_LIB(rpm, rpmReadConfigFiles, [LIBS="-lrpm $LIBS"],
>     AC_MSG_ERROR(*** librpm not found), $RPM_LIBS
>   ), -lrpm $RPM_LIBS
> )
> This one is not :-(
> First check (rpmdb) is OK, but then it check for rpm and fails, whereas
> 1) rpm check should not happen at all, as it is 4th argument (IF-NOT-FOUND in
> autoconf info page) of first check
> 2) i also added $RPM_LIBS as 5th argument of this check
>
> Here is output:
> [...]
> checking for Fopen in -lrpmio... yes
> checking for rpmdbOpen in -lrpmdb... yes
> checking for rpmReadConfigFiles in -lrpm... no
>
> If you have any logical explanation, i'd be happy :-)

Comment 1 Daniel Veillard 2002-08-29 09:49:05 UTC
Do we care ? I'm tempted to CLOSE/WONTFIX this ...

Daniel

Comment 2 Daniel Veillard 2003-01-17 15:58:24 UTC
rpm2html C codebase is dead, this won't get fixed,

Daniel


Note You need to log in before you can comment on or make changes to this bug.